# Generated from beaker-puppet-1.22.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name beaker-puppet

Name: rubygem-%{gem_name}
Version: 1.22.1
Release: 1%{?dist}
Summary: Beaker's Puppet DSL Extension Helpers!
License: Apache2
URL: https://github.com/voxpupuli/beaker-puppet
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(fakefs) >= 0.6
# BuildRequires: rubygem(fakefs) < 2.0
# BuildRequires: rubygem(beaker-vmpooler)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(thin)
BuildArch: noarch

%description
For use for the Beaker acceptance testing tool.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/beaker-puppet
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.simplecov
%{gem_instdir}/CODEOWNERS
%license %{gem_instdir}/LICENSE
%{gem_instdir}/acceptance
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/setup
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/beaker-puppet.gemspec
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.22.1-1
- Initial package
